# $Revision: 1.10 $, $Date: 2005/03/12 12:32:37 $

%define		module	pymetar

Summary:	Module that provides access to NOAA's METAR weather reports
Summary(pl):	Modu do pobierania danych pogodowych METAR
Name:		python-%{module}
Version:	0.12
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	http://www.schwarzvogel.de/pkgs/%{module}-%{version}.tar.gz
# Source0-md5:	8c2e09e4ecd24fda523b1f179aa94275
URL:		http://www.schwarzvogel.de/software-pymetar.shtml
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The National Oceanic and Atmospheric Administration (NOAA,
www.noaa.gov) provides easy access to the weather reports generated by
a large number of weather stations (mostly at airports) worldwide.
Those reports are called METAR reports and are delivered as plain text
files.

While this is convenient if you just want to quickly look up the data,
there's some effort involved in parsing all of this into a format that
is digestible by a program. Plus, you have to remember the base URL of
the reports and fetch the file.

The library provides a large number of methods to fetch the parsed
information in a plethora of formats. Those functions are described in
the file librarydoc.txt which was in turn generated using PyDoc.

%description -l pl
NOAA (Narodowa Administracja Oceaniczna i Atmosferyczna, www.noaa.gov)
udostpnia raporty pogodowe generowane przez wiele stacji pogodowych z
caego wiata. Raporty te nazywane s raportami METAR i udostpniane w
postaci plikw tekstowych.

Jest to wygodne jeli chce si szybko przejrze dane. Jednak
przetwarzanie ich moe by kopotliwe. Dodatkowo, trzeba pamita
adres pliku z danej stacji pogodowej.

Biblioteka ta udostpnia wiele metod, ktre udostpniaj dane
przetworzone z raportw METAR.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

install bin/example.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS TODO librarydoc.txt
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*.py[co]
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pymetar.spec,v $
Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.8  2004/11/24 18:20:25  leafnode
- updated to 0.12

Revision 1.7  2004/11/24 18:08:22  leafnode
- use py_sitescriptdir instead of py_sitedir

Revision 1.6  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.5  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.3  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.2  2004/02/01 11:36:20  leafnode
- autoupdate to 0.8

Revision 1.1  2004/01/16 23:30:53  leafnode
- import

